Manual do PHP
Anterior |  | Próxima

# DOMElement->setAttributeNode()

DOMElement->setAttributeNode() -- Adds new attribute node to element

## Descrição

class DOMElement {
DOMAttr setAttributeNode ( DOMAttr attr )
}

Adds new attribute node attr to element.

## Lista de parâmetros

attr

  The attribute node.

## Valores Retornados

Returns old node if the attribute has been replaced or `NULL`.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## Veja também

DOMElement->hasAttribute()
DOMElement->getAttributeNode()
DOMElement->removeAttributeNode()

Anterior | Principal | Próxima
DOMElement->setAttribute() | Acima | DOMElement->setAttributeNodeNS()